<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface">

    <include
        android:id="@+id/include"
        layout="@layout/reuse_toolbar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/titleTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:singleLine="true"
        android:text="设置密码"
        android:textColor="@color/text_primary"
        android:textSize="20sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/include" />

    <TextView
        android:id="@+id/hintTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:singleLine="true"
        android:text="启动儿童/青少年模式，需要先设置独立密码"
        android:textColor="@color/text_secondary"
        android:textSize="12sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titleTv" />

    <com.gh.gamecenter.common.view.VerifyEditText
        android:id="@+id/verifyEt"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="32dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/hintTv"
        app:verify_background_normal="@drawable/bg_verify_password"
        app:verify_background_selected="@drawable/bg_verify_password_select"
        app:verify_count="4"
        app:verify_height="48dp"
        app:verify_inputType="number"
        app:verify_margin="8dp"
        app:verify_password="true"
        app:verify_password_visible_time="200"
        app:verify_textColor="@color/text_primary"
        app:verify_textSize="18sp"
        app:verify_width="40dp" />

    <TextView
        android:id="@+id/nextTv"
        android:layout_width="280dp"
        android:layout_height="40dp"
        android:layout_marginTop="32dp"
        style="@style/PrimaryGradientButton"
        android:gravity="center"
        android:text="下一步"
        android:textSize="13sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/verifyEt" />

    <TextView
        android:id="@+id/resetPwdTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:singleLine="true"
        android:text="找回密码"
        android:textColor="@color/text_theme"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/nextTv" />

</androidx.constraintlayout.widget.ConstraintLayout>